#version 430

layout(local_size_x = 16, local_size_y = 16) in;
layout(r32ui, binding = 0) writeonly uniform uimage2D depthTex;
layout(rg32f, binding = 1) writeonly uniform image2D uvTex;

uniform sampler2D tex;
uniform sampler2D texPrev;
uniform sampler2D prevND;

uniform vec3 originPrev;
uniform mat4 MVPprev;

uniform vec3 origin;
uniform mat4 MVP;

void main() {
    ivec2 storePos = ivec2(gl_GlobalInvocationID.xy);
	vec2 UV = (1.0f * storePos) / (1.0f * gl_NumWorkGroups.xy * gl_WorkGroupSize.xy);

	imageStore(depthTex, storePos, ivec4(1 << 30));
	imageStore(uvTex, storePos, vec4(-400));
}